<?
define('PROTECTOR', 1);

$headmod = 'shakta';//фикс. места

$textl='Шахта';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
place_okr();
place_zamok();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
$rand=rand(1000,9999);
$req = mysql_query("SELECT * FROM `shakta` where `usr`='$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$shakta = mysql_fetch_array($req);
}

if($udata[prof] == 'Рудокоп'){
echo"<div class='m_bg'>Шахта</div>";
echo"<div class='m_bg'>";
echo"В шахте у Вас есть шанс получить Титаниум - драгоценный и редкий ресурс, нужный для вооружения</div>";
echo "У тебя: <b>".number_format ($udata[titan])."</b> Титаниума<br/>";
$cena=1+$udata[lvl];
echo "На данный момент твоя добыча за 30 минут -  $cena Титаниума<br>";

if(!empty($shakta[usr])){
if($shakta[last]<time()-900){

        mysql_query("DELETE FROM `shakta` WHERE usr='$log'");


        echo'Вы покинули шахту!<br/>';
        echo"<a href=\"shakta.php?r=$rand\">Продолжить</a><br/>";

        include($path.'files/down.php');
exit;
}elseif($shakta[over]<=time()){

$cena=1*$udata[lvl];
$udata[titan]=$udata[titan]+$cena;

        mysql_query("UPDATE `users` SET `titan` = '$udata[titan]' WHERE `usr` = '$log'");
        mysql_query("DELETE FROM `shakta` WHERE usr='$log'");


        echo'Вы завершили добычу Титаниума, вы добыли '.$cena.' Титаниума!<br/>';
        echo"<a href=\"shakta.php?r=$rand\">Продолжить</a><br/>";
        echo'</div>';
        include($path.'files/down.php');

exit;
}
}


if($_GET[mod]==rab){


$req = mysql_query("SELECT * FROM `rydnik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo"<font color=\"red\">Вы находитесь на руднике!</font>";
include($path.'files/down.php');
exit;
}



$req = mysql_query("SELECT * FROM `shahta_times` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
////////////////////////////
$aro = mysql_fetch_array($req);

$aro[timeout]=$aro[timeout]-time();
if($aro[timeout]<60){
echo "До следущего удара осталось: <font color=red>$aro[timeout] сек.</font>";
echo'<br/>';
echo "<a href=\"shakta.php?\"> Вернуться</a><br>";
include($path.'files/down.php');
exit;
}else{
$aro[timeout]=round($aro[timeout]/60);
echo "До следущего удара осталось:<font color=red>$aro[timeout] мин.</font>";
echo'<br/>';
echo "<a href=\"shakta.php?\"> Вернуться</a><br>";

include($path.'files/down.php');
exit;
}}


if(!empty($shakta[usr])){

mysql_query("UPDATE shakta SET last = '".time()."' WHERE usr = '$log'");



$time=time();
$time=time()+600;

mysql_query("INSERT INTO
        `shahta_times` SET
        `usr` = '$log',
        `timeout` = '$time'");
        echo'Вы ударили киркой!<br/>';
        echo"<a href=\"shakta.php?r=$rand\">Продолжить</a><br/>";
}else{
$over=time()+1800;
$last=time();

mysql_query("INSERT INTO
        `shakta` SET
        `usr` = '$log',
        `over` = '$over',
        `last` = '$last'");

        echo'Вы углубились в шахту!<br/>';
        echo"<a href=\"shakta.php?r=$rand\">Продолжить</a><br/>";
}
}elseif($_GET[mod]==cancel){

if(empty($shakta[usr])){
        echo'Вы не в шахте!<br/>';
        echo"<a href=\"shakta.php?r=$rand\">Продолжить</a><br/>";
}else{
        mysql_query("DELETE FROM `shakta` WHERE usr='$log'");
        mysql_query("DELETE FROM `shahta_times` WHERE `usr` = '$log'");
        echo'Вы покинули шахту!<br/>';
        echo"<a href=\"shakta.php?r=$rand\">Продолжить</a><br/>";
        }

}else{
if(empty($shakta[usr])){
echo"<a href=\"shakta.php?mod=rab&amp;r=$rand\"><input class=\"button\" type=\"submit\" value=\"Углубиться в шахту\" /></a><br/>";

}else{
echo"Вам осталось находиться в шахте: ";

$shakta[over]=$shakta[over]-time();
if($shakta[over]<60){
echo "$shakta[over] сек.<br/>";
}elseif($shakta[over]>60 and $shakta[over]<3600){
$shakta[over]=round($shakta[over]/60);
echo "$shakta[over] мин.<br/>";
}else{
$shakta[over]=round($shakta[over]/3600);
echo "$shakta[over] часов<br/>";
}
echo"<br/>";
$req = mysql_query("SELECT * FROM `shahta_times` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
////////////////////////////
$aro = mysql_fetch_array($req);

$aro[timeout]=$aro[timeout]-time();
if($aro[timeout]<60){
echo "До следущего удара осталось:<font color=red>$aro[timeout] сек.</font>";
}else{
$aro[timeout]=round($aro[timeout]/60);
echo "До следущего удара осталось:<font color=red>$aro[timeout] мин.</font>";
}}
echo"<a href=\"shakta.php?mod=rab&amp;r=$rand\"><input class=\"button\" type=\"submit\" value=\"Ударить киркой\" /></a>";
echo"<br/><a href=\"shakta.php?mod=cancel&amp;r=$rand\">Покинуть шахту</a><br/>";
echo"</br>";
echo"* Бейте киркой 1 раз в 10 минут = 3 раза за 30 минут! <br>* После удара вам показывает таймер сколько времени осталось до возможного следущего удара!<br/>* Добыча Титаниума = вашему уровню + 1!<br/>* В случае если вы покините шахту, вы ничего не получите!<br/>* Зачисление Титаниума происходит по окончанию времени работы!<br/>";
}
}}
else{echo'У Вас нет профессии Рудокопа, перейдите в Город, а затем в Гильдию Шахтеров';}

////////////////////////
include($path.'files/down.php');
?>
